CSFML 3.0.0
Loading...
Searching...
No Matches
Public Attributes | List of all members
sfListenerCone Struct Reference

Structure defining the properties of a directional cone. More...

`#include <CSFML/Audio/Listener.h>`

## Public Attributes
float | innerAngle
| Inner angle, in degrees.
float | outerAngle
| Outer angle, in degrees.
float | outerGain
| Outer gain.

## Detailed Description

Structure defining the properties of a directional cone.

Sounds will play at gain 1 when they are positioned within the inner angle of the cone. Sounds will play at outerGain when they are positioned outside the outer angle of the cone. The gain declines linearly from 1 to outerGain as the sound moves from the inner angle to the outer angle.

Definition at line 46 of file Listener.h.

## Member Data Documentation

## ◆ innerAngle

float sfListenerCone::innerAngle

Inner angle, in degrees.

Definition at line 48 of file Listener.h.

## ◆ outerAngle

float sfListenerCone::outerAngle

Outer angle, in degrees.

Definition at line 49 of file Listener.h.

## ◆ outerGain

float sfListenerCone::outerGain

Outer gain.

Definition at line 50 of file Listener.h.

The documentation for this struct was generated from the following file:

- Listener.h